dir1 = getDirectory("image")
fileName=getInfo("image.filename")
list = getFileList(dir1);

xt = getNumber("Input x translation", 0);
yt = getNumber("Input y translation", 0);
theta = getNumber("Input Rotation Angle", 0); // 0 is the default here

Dialog.create("Images in folder");
Dialog.addMessage("All images will now be processed and stored in a new folder");
Dialog.show();

close();
dir2 = File.getParent(dir1) + File.separator+"1_2_Transformed_Images_xt="+xt+"_yt="+yt+"_ang="+theta+File.separator;
File.makeDirectory(dir2);

setBatchMode(true);
for (i=0; i<list.length; i++) {
 	showProgress(i+1, list.length);
 	open(dir1+list[i]);

	run("Select None");
	run("Translate...", "x=xt y=yt interpolation=None");
	run("Rotate... ", "angle=theta grid=1 interpolation=Bilinear");

 saveAs(dir2+list[i]);
 close();
}

Dialog.create("Finished");
Dialog.addMessage("All images have succesfully been translated and rotated");
Dialog.show();