//ROI for area clearing should already be available
roip=File.openDialog("Select ROI file");

img=File.openDialog("Select Image");
dir1 = File.getParent(img);
list = getFileList(dir1);

Dialog.create("Images in folder");
Dialog.addMessage("All images will now be processed and stored in a new folder");
Dialog.show();

dir2 = File.getParent(dir1)+File.separator+"1_4_Resin Area Cleared"+File.separator;
File.makeDirectory(dir2);

setBatchMode(true);
for (i=0; i<list.length; i++) {
 	showProgress(i+1, list.length);
 	open(dir1+File.separator+list[i]);
	open(roip);
	run("Clear Outside");

 saveAs(dir2+list[i]);
 close();
}

Dialog.create("Finished");
Dialog.addMessage("All images have succesfully been cleared");
Dialog.show();
