//Open root Input Directory
//User should ensure that only the relevant images are in the target folder

lastframe= getNumber("Input last image frame to be processed",7200);

dir1 = getDirectory("Open folder containing original images");

//3_GIF generator
	//Output directory
	dir3=File.getParent(dir1)+File.separator+ "3_GIF"+File.separator;
	File.makeDirectory(dir3);

	//check if directories already are proccesed 
	listDone = getFileList(dir3);
	list = getFileList(dir1);
	toDo=lastframe-listDone.length;

	setBatchMode(true);
	for (i=listDone.length; i<lastframe; i++) {
	 showProgress(i, lastframe);
	 open(dir1+list[i]);
	}
	run("Images to Stack", "name=Stack title=[] use");
	saveAs("Gif",dir3+"GIF_from_stack");
	close;

Dialog.create("Finished");
Dialog.addMessage("GIF generated");
Dialog.show();